/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

.entry-content p {
        text-align: justify;
    }

.entry-content table th {
    background: linear-gradient(to right, #052963, #052963);
    color: white;
    font-size: 15px;
    padding: 12px;
    text-align: center;
    border-bottom: 1px solid black;
}

.wp-block-table td, .wp-block-table th {
    border: 1px solid;
    padding: .5em;
}
.has-text-align-center {
    text-align: center;
}
th {
    font-weight: 600;
}
th {
    border-width: 0 1px 1px 0;
}
td, th {
    padding: 8px;
}
table, td, th {
    border: 1px solid rgba(0, 0, 0, .1);
}
*, ::after, ::before {
    box-sizing: inherit;
}
user agent stylesheet
th {
    display: table-cell;
    vertical-align: inherit;
    font-weight: bold;
    text-align: -internal-center;
    unicode-bidi: isolate;
}


.whatsapp-float-bottom{
    position: fixed;
    width: 60px;
    height: 60px;
    right: 25px;
    bottom: 25px;   /* 👈 Bottom side position */
    background-color: #25D366;
    color: #ffffff !important;
    border-radius: 50%;
    text-align: center;
    font-size: 32px;
    box-shadow: 0 6px 14px rgba(0,0,0,0.3);
    z-index: 9999;
    animation: whatsappFloat 2.5s infinite ease-in-out;
}

.whatsapp-float-bottom i{
    line-height: 60px;
}

/* Tooltip Text */
.whatsapp-float-bottom::before{
    content: "Join WhatsApp Channel";
    position: absolute;
    right: 70px;
    bottom: 50%;
    transform: translateY(50%);
    background: #25D366;
    color: #ffffff;
    padding: 6px 14px;
    border-radius: 20px;
    font-size: 14px;
    white-space: nowrap;
    opacity: 0;
    transition: 0.3s ease;
}

/* Show tooltip on hover */
.whatsapp-float-bottom:hover::before{
    opacity: 1;
}

/* Floating Animation */
@keyframes whatsappFloat {
    0%   { transform: translateY(0); }
    50%  { transform: translateY(-8px); }
    100% { transform: translateY(0); }
}
